> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/developerbridge/location.md).

# LOCATION

## Properties Summarized

| Type                                                     | Name                    | Summary                                                             |
| -------------------------------------------------------- | ----------------------- | ------------------------------------------------------------------- |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [COMPONENT](#component) | The menu item will be in the context menu of a component in a form. |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [FORM](#form)           | The menu item will be in the form's context menu.                   |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [SOLUTION](#solution)   | The menu item will be in the context menu of a solution node.       |

## Properties Detailed

### COMPONENT

The menu item will be in the context menu of a component in a form. (designer or solution explorer)

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

### FORM

The menu item will be in the form's context menu.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

### SOLUTION

The menu item will be in the context menu of a solution node.

**Type**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/developerbridge/location.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
